Bug 980733 - [online_ui_291]Admin user should have the permission to change the user_state to be "New Partner" or "Active partner"
[online_ui_291]Admin user should have the permission to change the user_state...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 03:08 EDT by Yujie Zhang
Modified: 2015-05-14 21:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:20:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-07-03 03:08:00 EDT
Description of problem:

Logged in to community site, and edit my profile , changed to be "New Partner", then try to access /partner/apply page, it will redirect to /partner/tc page directly, skipped the apply step. Normal user should not have that permission when changing their profile.

Version-Release number of selected component (if applicable):
fork_ami_online_ui_291_665

How reproducible:
always

Steps to Reproduce:
1.Log in to community site
2.Edit user profile
3.Click the "Partner program" link and change user_state to be "New partner" or "Active partner"

Actual results:

Normal user can change their user_state to be "New partner" and skip the apply step.

Expected results:

Normal user should not have permission to change their user_state, so that they will skip some steps to apply.


Additional info:
Comment 1 Jessica Forrester 2013-07-09 13:26:12 EDT
Fix is in https://github.com/openshift/li/pull/1713
Comment 2 Yujie Zhang 2013-07-10 03:05:47 EDT
Tested on devenv_3472, normal users do not have permission to change the user_state, but admin user also does not have permission to change, after clicking the "Partner program" link on the profile page using admin user, just left "save" and "delete" button, no forms to change the status of users.
Comment 3 Jessica Forrester 2013-07-10 09:30:39 EDT
The admin is not supposed to modify the settings from the user's profile.  There is a set of partner administration pages that are used.

/partner/admin/user   lists users and then can find a user and select that Edit link
/partner/admin/edit/user/%userid% if the userid (numeric one not the login) is already known
Comment 4 Yujie Zhang 2013-07-10 22:45:59 EDT
Tested on devenv_3481, admin user can set the status of user on /partner/admin/user page, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.